> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Grant Configurations

> Lists org grant configurations with optional warrant include/exclude and per-configuration grant counts.

Not available to API keys yet. It will need `grants:read`.

## OpenAPI

````yaml api-reference/openapi.json POST /tga/list-grant-configurations
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /tga/list-grant-configurations:
    post:
      operationId: listGrantConfigurations
      summary: List Grant Configurations
      description: >-
        Lists org grant configurations with optional warrant include/exclude and
        per-configuration grant counts.


        Not available to API keys yet. It will need `grants:read`.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ListGrantConfigurationsRequest'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListGrantConfigurationsResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    ListGrantConfigurationsRequest:
      type: object
      properties:
        excludeWarrants:
          type: boolean
        onlyWarrants:
          type: boolean
        includeGrantCount:
          type: boolean
    ListGrantConfigurationsResponse:
      type: array
      items:
        type: object
        properties:
          grantConfigurationID:
            type: string
          name:
            type: string
          kind:
            type: string
            enum:
              - RTU
              - RTA
              - TOKEN_BONUS
              - TPA
              - OPTION
              - WARRANT
              - LTIP
              - TSA
              - FTIA
              - PHANTOMUNITS
              - FOUNDERROUND
              - FTI
              - TOKENSUB
              - PERFORMANCE
          isExercisable:
            type: boolean
          useStrike:
            type: boolean
          hasDiscountFMV:
            type: boolean
          redemptionHold:
            type: number
          redemptionCap:
            type: number
          redemptionLiftPeriod:
            type: number
          grantCount:
            type: number
          exercisedOptionsPastTenseLabel:
            type: string
          exercisedOptionsPresentTenseLabel:
            type: string
          exercisedOptionActionLabel:
            type: string
          exercisedOptionPotentialActionLabel:
            type: string
          cashRedemptionMethod:
            type: boolean
          unitsRedemptionMethod:
            type: boolean
          coinMarketCapID:
            type: string
          showLtipRedemptionProcessingAlert:
            type: boolean
          orgID:
            type: string
          currencyID:
            type:
              - string
              - 'null'
          vestingFrequencyType:
            type:
              - string
              - 'null'
            enum:
              - MONTHLY
              - QUARTERLY
              - SEMIANNUALLY
              - YEARLY
              - CUSTOM
              - DAILY
              - WEEKLY
              - null
          vestingPeriods:
            type:
              - number
              - 'null'
          vestingCliffPeriods:
            type:
              - number
              - 'null'
          vestingCliffPercentage:
            type:
              - string
              - 'null'
            pattern: ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$
          legacyMigratedAt:
            type:
              - string
              - 'null'
          legacyModelID:
            type:
              - number
              - 'null'
          isPerformance:
            type:
              - boolean
              - 'null'
          grantAssetType:
            type:
              - string
              - 'null'
            enum:
              - TOKEN
              - FIAT
              - null
          isCashCompensation:
            type: boolean
          exerciseFormFileID:
            type:
              - string
              - 'null'
          signingTabs:
            type:
              - object
              - 'null'
            properties:
              prefilledTextTabs:
                type: array
                items:
                  type: object
                  properties:
                    type:
                      type: string
                      enum:
                        - fullLegalName
                        - exerciseDate
                        - grantDate
                        - numberOfUnitsToRedeem
                        - redemptionMethod
                    pageNumber:
                      type: string
                    xPosition:
                      type: string
                    yPosition:
                      type: string
                  required:
                    - type
                    - pageNumber
                    - xPosition
                    - yPosition
              bankTabs:
                type: array
                items:
                  type: object
                  properties:
                    label:
                      type: string
                    pageNumber:
                      type: string
                    xPosition:
                      type: string
                    yPosition:
                      type: string
                  required:
                    - label
                    - pageNumber
                    - xPosition
                    - yPosition
              signerTabs:
                type: array
                items:
                  type: object
                  properties:
                    type:
                      type: string
                      enum:
                        - signature
                        - initial
                        - dateSigned
                    pageNumber:
                      type: string
                    xPosition:
                      type: string
                    yPosition:
                      type: string
                    isRecipient:
                      type: boolean
                    name:
                      type: string
                    email:
                      type: string
                  required:
                    - pageNumber
                    - xPosition
                    - yPosition
                    - isRecipient
                    - name
                    - email
            required:
              - prefilledTextTabs
              - bankTabs
              - signerTabs
          exerciseLockupMonths:
            type:
              - number
              - 'null'
          optionExpiryYears:
            type:
              - number
              - 'null'
          optionExerciseWindowDays:
            type:
              - number
              - 'null'
          createdAt:
            type: string
          updatedAt:
            type: string
          exerciseFormFile:
            type:
              - object
              - 'null'
            properties:
              fileID:
                type: string
              orgID:
                type: string
              fileName:
                type: string
              mimeType:
                type: string
              fileKey:
                type: string
              fileBucket:
                type: string
              fileUploaded:
                type:
                  - string
                  - 'null'
              fileSizeInBytes:
                oneOf:
                  - type: string
                  - type: number
              createdByUserID:
                type:
                  - string
                  - 'null'
              createdAt:
                type: string
              updatedAt:
                type: string
              legacyMigratedAt:
                type:
                  - string
                  - 'null'
              legacyModelID:
                type:
                  - number
                  - 'null'
              type:
                type: string
              fileURL:
                type: string
              fileDownloadURL:
                type: string
            required:
              - fileID
              - orgID
              - fileName
              - mimeType
              - fileKey
              - fileBucket
              - fileUploaded
              - fileSizeInBytes
              - createdByUserID
              - createdAt
              - updatedAt
              - legacyMigratedAt
              - legacyModelID
              - type
              - fileURL
              - fileDownloadURL
        required:
          - grantConfigurationID
          - name
          - kind
          - isExercisable
          - grantCount
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
